From: Namhyung Kim <namhyung@gmail.com>

Since set_current_state() contains a memory barrier in it,
an additional barrier isn't needed.

Signed-off-by: Namhyung Kim <namhyung@gmail.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
drivers/md/dm.c |    1 -
 drivers/md/dm.c |    1 -
 1 file changed, 1 deletion(-)

Index: linux/drivers/md/dm.c
===================================================================
--- linux.orig/drivers/md/dm.c
+++ linux/drivers/md/dm.c
@@ -2326,7 +2326,6 @@ static int dm_wait_for_completion(struct
 	while (1) {
 		set_current_state(interruptible);
 
-		smp_mb();
 		if (!md_in_flight(md))
 			break;
 
